Changeset 21971


Ignore:
Timestamp:
2012/07/20 16:21:27 (9 years ago)
Author:
h_yoshimoto
Message:

#1899 プラグイン必須モジュールチェックのエラー出力形式を変更

Location:
branches/version-2_12-dev/data
Files:
3 edited

Legend:

Unmodified
Added
Removed
  • branches/version-2_12-dev/data/Smarty/templates/admin/ownersstore/plugin.tpl

    r21884 r21971  
    127127                <!--{assign var=key value="plugin_file"}--> 
    128128                <span class="attention"><!--{$arrErr[$key]}--></span> 
    129                 <!--{foreach item=val from=$arrErr}--> 
    130                 <!--{if $val != '' && $val != $key}--><span class="attention"><!--{$val}--></span><!--{/if}--> 
    131                 <!--{/foreach}--> 
    132  
    133129                <input type="file" name="<!--{ $key }-->" class="box45" size="43"  style="<!--{$arrErr[$key]|sfGetErrorColor}--> <!--{if $arrErr[$key]}--> background-color:<!--{$smarty.const.ERR_COLOR|h}--><!--{/if}-->"> 
    134130                <a class="btn-action" href="javascript:;" onclick="install(); return false;"><span class="btn-next">インストール</span></a> 
  • branches/version-2_12-dev/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore.php

    r21918 r21971  
    184184                    $this->arrErr['priority'][$plugin_id] = $arrErr['priority']; 
    185185                } 
    186  
     186                 
    187187                break; 
    188188            default: 
     
    346346        $arrErr = array(); 
    347347        // 必須拡張モジュールのチェック 
    348         $arrErr = SC_Plugin_Util_Ex::checkExtension(); 
     348        $arrErr = SC_Plugin_Util_Ex::checkExtension($key); 
    349349        if ($this->isError($arrErr) === true) { 
    350350            return $arrErr; 
     
    383383            return $arrErr; 
    384384        } 
    385  
     385         
    386386        // プラグイン情報をDB登録 
    387387        if ($this->registerData($arrPluginInfo) === false) { 
  • branches/version-2_12-dev/data/class/plugin/SC_Plugin_Util.php

    r21970 r21971  
    147147     * プラグイン利用に必須のモジュールチェック 
    148148     * 
     149     * @param string $key  エラー情報を格納するキー 
    149150     * @return array $arrErr エラー情報を格納した連想配列. 
    150151     */ 
    151     function checkExtension() { 
     152    function checkExtension($key) { 
    152153        // プラグイン利用に必須のモジュール 
    153154        // 'EC-CUBEバージョン' => array('モジュール名') 
     
    162163            foreach ($arrRequireExtension[ECCUBE_VERSION] AS $val) { 
    163164                if (!extension_loaded($val)) { 
    164                     $arrErr[$val] = "※ プラグインを利用するには、拡張モジュール「${val}」が必要です。<br />"; 
     165                    $arrErr[$key] .= "※ プラグインを利用するには、拡張モジュール「${val}」が必要です。<br />"; 
    165166                } 
    166167            } 
Note: See TracChangeset for help on using the changeset viewer.